"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SCHEMA = exports.DEFAULT_SEVERITY = void 0;
const core = require("./core");
const SEVERITY = {
    error: `emit an error`,
    warning: `emit a warning`,
};
exports.DEFAULT_SEVERITY = {
    errorEncountered: "warning",
    pointerFileFound: "warning",
};
const severityValuesExplanation = Object.entries(SEVERITY).map(([value, description]) => value + " = " + description).join(", ");
exports.SCHEMA = {
    type: "object",
    properties: {
        errorEncountered: {
            description: `What should happen if a file cannot be checked successfully (${severityValuesExplanation}). Default: ${exports.DEFAULT_SEVERITY.errorEncountered}.`,
            anyOf: [
                { enum: Object.keys(SEVERITY) },
            ],
        },
        pointerFileFound: {
            description: `What should happen if a ${core.gitLfsPointerFile} is found (${severityValuesExplanation}). Default: ${exports.DEFAULT_SEVERITY.pointerFileFound}.`,
            anyOf: [
                { enum: Object.keys(SEVERITY) },
            ],
        },
    },
    additionalProperties: false,
};
{
    (x) => {
        return x;
    };
    (x) => {
        return x;
    };
}
